Update RICAL configuration
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/ricals/configurationUpdate the RICAL configuration for the requested ecosystem.
A RICAL configuration is required in order for RICALs to be created.
Analytic events
- ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_START
- ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_SUCCESS
- ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/ricals/configuration" \ -H "Content-Type: application/json" \ -d '{ "ricalProvider": "string" }'{ "ricalProvider": "string", "autoPublish": { "enabled": true, "frequency": "Daily", "configuredAt": "2019-08-24T14:15:22Z" }}How would you rate this page?
Delete specific RICAL DELETE
Deletes a specific RICAL from the requested ecosystem by providing the RICAL version identifier. Deleting a RICAL also deletes the verifier policy published from it, if one exists. This action cannot be undone. A `404` is only returned when the ecosystem does not exist. Deleting a `ricalIssueId` that does not exist within an existing ecosystem still returns `204`. ### **Analytic events** * ECOSYSTEM_RICAL_DELETE_START * ECOSYSTEM_RICAL_DELETE_SUCCESS * ECOSYSTEM_RICAL_DELETE_FAIL
Retrieve RICAL configuration GET
Retrieve the RICAL configuration from the requested ecosystem. ### **Analytic events** * ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_START * ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_SUCCESS * ECOSYSTEM_RICAL_CONFIGURATION_RETRIEVE_FAIL